MyGUI: MyGUI::ITexture Class Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::ITexture Class Referenceabstract

`#include <MyGUI_ITexture.h>`

## Public Member Functions
virtual | ~ITexture ()
virtual const std::string & | getName () const =0
virtual void | createManual (int _width, int _height, TextureUsage _usage, PixelFormat _format)=0
virtual void | loadFromFile (const std::string &_filename)=0
virtual void | saveToFile (const std::string &_filename)=0
virtual void | setInvalidateListener (ITextureInvalidateListener *_listener)
virtual void | destroy ()=0
virtual void * | lock (TextureUsage _access)=0
virtual void | unlock ()=0
virtual bool | isLocked ()=0
virtual int | getWidth ()=0
virtual int | getHeight ()=0
virtual PixelFormat | getFormat ()=0
virtual TextureUsage | getUsage ()=0
virtual size_t | getNumElemBytes ()=0
virtual IRenderTarget * | getRenderTarget ()

## Detailed Description

Definition at line 26 of file MyGUI_ITexture.h.

## Constructor & Destructor Documentation

## ◆ ~ITexture()

virtual MyGUI::ITexture::~ITexture | ( |  | ) |
| inlinevirtual

Definition at line 29 of file MyGUI_ITexture.h.

## Member Function Documentation

## ◆ createManual()

virtual void MyGUI::ITexture::createManual | ( | int | _width,
|  | int | _height,
|  | TextureUsage | _usage,
|  | PixelFormat | _format
| ) |  |
| pure virtual

## ◆ destroy()

virtual void MyGUI::ITexture::destroy | ( |  | ) |
| pure virtual

## ◆ getFormat()

virtual PixelFormat MyGUI::ITexture::getFormat | ( |  | ) |
| pure virtual

## ◆ getHeight()

virtual int MyGUI::ITexture::getHeight | ( |  | ) |
| pure virtual

## ◆ getName()

virtual const std::string& MyGUI::ITexture::getName | ( |  | ) | const
| pure virtual

## ◆ getNumElemBytes()

virtual size_t MyGUI::ITexture::getNumElemBytes | ( |  | ) |
| pure virtual

## ◆ getRenderTarget()

virtual IRenderTarget* MyGUI::ITexture::getRenderTarget | ( |  | ) |
| inlinevirtual

Definition at line 52 of file MyGUI_ITexture.h.

## ◆ getUsage()

virtual TextureUsage MyGUI::ITexture::getUsage | ( |  | ) |
| pure virtual

## ◆ getWidth()

virtual int MyGUI::ITexture::getWidth | ( |  | ) |
| pure virtual

## ◆ isLocked()

virtual bool MyGUI::ITexture::isLocked | ( |  | ) |
| pure virtual

## ◆ loadFromFile()

virtual void MyGUI::ITexture::loadFromFile | ( | const std::string & | _filename | ) |
| pure virtual

## ◆ lock()

virtual void* MyGUI::ITexture::lock | ( | TextureUsage | _access | ) |
| pure virtual

## ◆ saveToFile()

virtual void MyGUI::ITexture::saveToFile | ( | const std::string & | _filename | ) |
| pure virtual

## ◆ setInvalidateListener()

virtual void MyGUI::ITexture::setInvalidateListener | ( | ITextureInvalidateListener * | _listener | ) |
| inlinevirtual

Definition at line 37 of file MyGUI_ITexture.h.

## ◆ unlock()

virtual void MyGUI::ITexture::unlock | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- MyGUI_ITexture.h